Subject: RE: bug#17173: 24.4.50; Emacs partially loses display, and redisplay via `C-l' does not fix it

From: Drew Adams <[email-masked]>
Date: Wed, 2 Apr 2014 10:19:20 -0700 (PDT)

> What about "M-x redraw-display RET" -- does it redisplay the frame in
> its entirety?

Dunno.  I'll try that next time, I guess.

> > This does not happen systematically - just sometimes.
> 
> Can you try to figure out what distinguishes the cases when it happens
> from those when it doesn't?  Maybe some mouse gesture before the click
> on the obscured frame?  Or maybe it depends on which optional display
> features (like display-time) you have enabled at the time?

I will try to pay attention.  I don't think that my actions in Emacs
beforehand are necessarily related - I have seen this happen also when
returning to an Emacs frame after using another Windows app (window mgr
window).

I don't change things like display-time (I show it, normally), but I do
sometimes show other info in the mode line temporarily (returning to my
usual mode line, with display-time).  My usual `mode-line-format', FWIW:

("%e"
 #("-" 0 1
   (help-echo "mouse-1: Select (drag to resize), mouse-2: Delete others, \
mouse-3: Delete this"))
 mode-line-mule-info mode-line-client mode-line-modified mode-line-remote
 mode-line-frame-identification mode-line-buffer-identification
 #("   " 0 3
   (help-echo "mouse-1: Select (drag to resize), mouse-2: Delete others, \
mouse-3: Delete this"))
 mode-line-position
 (vc-mode vc-mode)
 #("  " 0 2
   (help-echo "mouse-1: Select (drag to resize), mouse-2: Delete others, \
mouse-3: Delete this"))
 mode-line-modes
 (which-func-mode
  ("" which-func-format
   #("--" 0 2
     (help-echo "mouse-1: Select (drag to resize), mouse-2: Delete others, \
mouse-3: Delete this"))))
 (global-mode-string
  (#("--" 0 2
     (help-echo "mouse-1: Select (drag to resize), mouse-2: Delete others, \
mouse-3: Delete this"))
   global-mode-string))
 #("-%-" 0 3
   (help-echo "mouse-1: Select (drag to resize), mouse-2: Delete others, \
mouse-3: Delete this")))

> Any idea when this started?

Sorry, not really.  I think it started around the same time as other
redisplay problems that I and others have reported lately - late last year,
perhaps?  Dunno.